package cn.stylefeng.team.project.api.enums;

import lombok.Getter;

@Getter
public enum DataRenderTypeEnum {

    SQL(1, "自定义sql"),

    API(2, "基于接口"),

    JAVA_CODE(3, "基于自定义java代码"),

    AUTO(4, "基于表单");

    private final Integer code;

    private final String name;

    DataRenderTypeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

}
